## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# ICUBridge Class Reference

List of all members.

## Static Public Member Functions

- const UnicodeString XalanDOMCharStringToUnicodeString (MemoryManagerType &theManager, const XalanDOMChar *theString)
- const UnicodeString XalanDOMCharStringToUnicodeString (MemoryManagerType &theManager, const XalanDOMChar *theString, XalanDOMString::size_type theLHSLength)
- const UnicodeString XalanDOMStringToUnicodeString (MemoryManagerType &theManager, const XalanDOMString &theString)
- XalanDOMString & UnicodeStringToXalanDOMString (const UnicodeString &theString, XalanDOMString &theResult)

## Member Function Documentation

XalanDOMString& ICUBridge::UnicodeStringToXalanDOMString | ( | const UnicodeString & | theString,
|  | XalanDOMString & | theResult
| ) | `[static]`

const UnicodeString ICUBridge::XalanDOMCharStringToUnicodeString | ( | MemoryManagerType & | theManager,
|  | const XalanDOMChar * | theString,
|  | XalanDOMString::size_type | theLHSLength
| ) | `[static]`

const UnicodeString ICUBridge::XalanDOMCharStringToUnicodeString | ( | MemoryManagerType & | theManager,
|  | const XalanDOMChar * | theString
| ) | `[static]`

const UnicodeString ICUBridge::XalanDOMStringToUnicodeString | ( | MemoryManagerType & | theManager,
|  | const XalanDOMString & | theString
| ) | `[static]`

The documentation for this class was generated from the following file:

- ICUBridge.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.